import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from './module/user/state';
import * as umutations from './module/user/mutations';
import admin from './module/user/action';

import dictIndex from './module/dev/dictIndex';
import dictData from './module/dev/dictData';

import goodsTags from './module/system/goodsTags';
import banner from './module/system/banner';
import indexModule from './module/system/indexModule';

import shop from './module/shop/shop';
import selfShop from './module/shop/selfShop';
import goods from './module/shop/goods';
import goodsSpec from './module/shop/goodsSpec';
import order from './module/trade/order';
import orderDetail from './module/trade/orderDetail';
import coupon from './module/trade/coupon';
Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    admin,
    shop,
    selfShop,
    goods,
    dictIndex,
    dictData,
    goodsTags,
    banner,
    indexModule,
    goodsSpec,
    order,
    orderDetail,
    coupon,
  },
});
